<template>

    <h1>Inscription</h1>

    <div class="bloc">
        <form @submit.prevent="handleSignup()">
            <label>Email :
                <input type="email" v-model="email">
            </label>
    
            <label>Password :
                <input type="password" v-model="password">
            </label>
            <button>Login</button>
        </form>
    </div>

</template>

<script setup lang="ts">
import { useAuth } from '@/stores/auth';
import { ref } from 'vue';
import { useRoute } from 'vue-router';

const router = useRoute();
const auth = useAuth();
const email = ref('');
const password = ref('');

async function handleSignup() {
    const newUser = {
        email: email.value,
        password: password.value,
    };

    try {
        await auth.signup(newUser);
        // router.back(); 
    } catch (error) {
        console.error('Signup error:', error);
    }
}


</script>